---
title: Топологическая оптимизация корпуса механического захвата Roboarm
  Griptool
---

Конструкторские изыскания привели к созданию универсального
механического захвата следующего вида:

![](./media/image1.png)

Однако корпус данного изделия представляет собой чрезмерно громоздкую и
тяжелую конструкцию, которая существенно ограничивает возможности
манипулятора, а также -- требует больших затрат при изготовлении.

По этой причине производились исследования в поле возможностей
оптимизации данной конструкции с целью уменьшения массы при сохранении
требуемых прочностных характеристик.

Для данной работы использовался пакет Solidworks Simulation, позволяющий
производить анализ изделий методом конечных элементов, а также
производить топологическую оптимизацию.

Стартовая масса корпуса и крышки -- 0.33 кг.

Для запуска расчета и оптимизации была создана упрощенная модель
корпуса, лишенная всех мелких деталей.

![](./media/image2.png)

Рассматривается нагруженное состояние, получаемое при одновременном
воздействии двух шаговых двигателей, реакций опоры от обоих редукторов и
массы, приложенной к пальцам захвата. Схема приложения нагружения
отражена на следующем рисунке.

Значения нагружений:

\- Крутящие моменты двигателей -- 4 кгс/см

\- Реакции опор редукторов -- 20 кгс/см

\- Растягивающе-изгибающая нагрузка, направленная по осям x, y, z по 2.5
кгс на каждое

Участок крепления стыковочного модуля зафиксирован.

![](./media/image3.png)

Были заданы условия симметричности конструкции относительно продольной
оси, что позволило учесть и случай с противоположно приложенными
нагрузками. Предел прочности для материала был задан как 30 МПа.

По результатам топологической оптимизации была получена следующая
геометрия:

![](./media/image4.png)

Масса модели -- 0.19 кг

При этом модель возможно дополнительно облегчить за счет учета
внутренних пустот при 3д-печати.

Полученная модель была приблизительно перерисована с помощью
твердотельных элементов в Solidworks.

В итоге был получен следующий результат.

![](./media/image5.png)

Масса полученной детали -- 0.24 кг.

Был произведен поверочный расчет, чтобы выяснить, насколько конструкция
соответствует требованиям и насколько большой запас прочности имеет.
Были приложены те же нагрузки, что использовались при оптимизации.

![](./media/image6.png)

Предел нагрузок не превышает 5МПа, что существенно ниже предела
прочности пластика АБС. Это говорит о том, что полученная конструкция
сохраняет требуемую прочность, а так же -- что она может быть
оптимизирована и дальше.
